//Fourier Series Plotter and Coefficients Calculator
//
//The following function plots the fourier series approximation of hte given periodic function and also returns the fourier coefficients,'a0', 'An' & 'Bn'
//
//User needs to provide the following arguments:
//
//l=periodicity of the function f which is to be approximated by Fourier Series
//n=no. of Fourier Coefficients you want to calculate
//f=function which is to be approximated by Fourier Series
//
//*Some necessary guidelines for defining f:
//*The program integrates the function f from -l to l so make sure you define the function f correctly in the interval -l to l.
//
//for more information on Fourier Series visit: https://en.wikipedia.org/wiki/Fourier_series
//
//Written by: Manas Sharma(manassharma07@live.com)
//For more useful toolboxes and tutorials on Scilab visit: http://www.bragitoff.com/category/compu-geek/scilab/
funcprot(0);
function [a0,A,B]=fourierplot(l,n,f)
    clf();
    a0=1/l*intg(-l,l,f,.000000001);
    for i=1:n
        function b=f1(x,f)
            b=f(x)*cos(i*%pi*x/l);
        endfunction
        function c=f2(x,f)
            c=f(x)*sin(i*%pi*x/l);
        endfunction
        A(i)=1/l*intg(-l,l,f1,.000000001);
        B(i)=1/l*intg(-l,l,f2,.000000001);
    end
    function series=solution(x)
        series=a0/2;
        for i=1:n
            series=series+A(i)*cos(i*%pi*x/l)+B(i)*sin(i*%pi*x/l);
        end
    endfunction
    x=-5*l:0.1:5*l;
    plot(x,solution(x));
endfunction
